/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.rax1.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import tdt4250.ra.rax1.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class Rax1FactoryImpl extends EFactoryImpl implements Rax1Factory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static Rax1Factory init()
  {
    try
    {
      Rax1Factory theRax1Factory = (Rax1Factory)EPackage.Registry.INSTANCE.getEFactory(Rax1Package.eNS_URI);
      if (theRax1Factory != null)
      {
        return theRax1Factory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new Rax1FactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Rax1FactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      case Rax1Package.DEPARTMENT: return createDepartment();
      case Rax1Package.PERSON: return createPerson();
      case Rax1Package.COURSE: return createCourse();
      case Rax1Package.RESOURCE_ALLOCATION: return createResourceAllocation();
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Department createDepartment()
  {
    DepartmentImpl department = new DepartmentImpl();
    return department;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Person createPerson()
  {
    PersonImpl person = new PersonImpl();
    return person;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Course createCourse()
  {
    CourseImpl course = new CourseImpl();
    return course;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public ResourceAllocation createResourceAllocation()
  {
    ResourceAllocationImpl resourceAllocation = new ResourceAllocationImpl();
    return resourceAllocation;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Rax1Package getRax1Package()
  {
    return (Rax1Package)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static Rax1Package getPackage()
  {
    return Rax1Package.eINSTANCE;
  }

} //Rax1FactoryImpl
